module KakaxiParse
  module Datatype
    class AddRelation
      def initialize(klass, ids)
        @klass = klass
        @ids = ids
      end

      def to_hash
        {
          @klass.reference_name.to_sym => {
            __op: "AddRelation",
            objects: @ids.map { |id| Datatype::Pointer.new(@klass, id).to_hash }
          }
        }
      end
    end
  end
end
