module KakaxiParse
  module Datatype
    class GeoPoint
      attr_accessor :lat, :lon

      def initialize(lat=nil, lon=nil)
        @lat = lat.to_f
        @lon = lon.to_f
      end

      def to_hash
        { __type: 'GeoPoint', latitude: @lat, longitude: @lon }
      end
    end
  end
end
