module KakaxiParse
  module Datatype 
    class Pointer < Base
      attr_accessor :id

      def initialize(klass, id)
        @id = id
        @klass = klass
      end

      def to_hash
        { __type: 'Pointer', className: @klass.demodulize, objectId: @id }
      end
    end
  end
end
