module KakaxiParse
  module Datatype
    class DateTime
      attr_accessor :year, :month, :day, :hour, :minute, :second

      def initialize(*args)
        if args.length == 1 && args[0].class == String
          datetime = DateTime.strptime(args[0], '%Y-%m-%dT%H:%M:%S.%LZ')
          @year = datetime.year
          @month = datetime.month
          @day = datetime.day
          @hour = datetime.hour
          @minute = datetime.minute
          @second = datetime.second
        else
          @year = args[0] || nil
          @month = args[1] || nil
          @day = args[2] || nil
          @hour = args[3] || nil
          @minute = args[4] || nil
          @second = args[5] || nil
        end
      end
    end
  end
end
